<?php

/* This holds common amr functions file - it may  be in several plugins  */
if (function_exists('mimic_meta_box')) return;
{
	function mimic_meta_box($id, $title, $callback ) {
	global $screen_layout_columns;

	//	$style = 'style="display:none;"';
		$h = (2 == $screen_layout_columns) ? ' has-right-sidebar' : '';
		echo '<div style="clear:both;" class="metabox-holder'.$h.'">';
		echo '<div class="postbox-container" style="width: 49%;">';
		echo '<div class="meta-box-sortables" style="min-height: 10px;">';
		echo '<div id="' . $id . '" class="postbox" ' . $style . '>' . "\n";
		echo '<div class="handlediv" title="' . __('Click to toggle') . '"><br /></div>';
		echo "<h3 class='hndle'><span>".$title."</span></h3>\n";
		echo '<div class="inside">' . "\n";
		call_user_func($callback);
		echo "</div></div></div></div></div>";
		
	}
}

/* ---------------------------------------------------------------------*/	
if (function_exists('amr_flag_error')) return;
{
	function amr_flag_error ($text) {
		echo '<div class="error">'.$text.'</div>';
	}
}
/* ---------------------------------------------------------------------*/	
if (function_exists('amr_message')) return;
{
	function amr_message ($text) {
		echo '<div class="error">'.$text.'</div>';
	}
}
/** -----------------------------------------------------------------------------------*/ 	
/*
    * Convert an object to an array
    *
    * @param    object  $object The object to convert
    * @reeturn      array
    *
    */
if (function_exists('objectToArray')) return;
{
	function objectToArray( $object ) {
	/* useful for converting any meta values that are objects into arrays */

		 if (gettype ($object) == 'object') {
			$s =  (get_object_vars ($object));
				if (isset ($s['__PHP_Incomplete_Class_Name'])) unset ($s['__PHP_Incomplete_Class_Name']);
			/*		forced access */
				return($s);
			 }
		else if (is_array ($object)) return array_map( 'objectToArray', $object ); /* repeat function on each value of array */
		else return ($object );
		}
}

/* -------------------------------------------------------------------------------------------------------------*/	
if (function_exists('a_novalue')) return;
{
function a_novalue ($v) {
/* since empty returns true on 0 and 0 is valid , use this instead */
return (empty($v) or (strlen($v) <1));
};
}
/* ---------------------------------------------------------------------*/
if (!function_exists('amr_pers_feed')) {

	function amr_feed($uri, $num=3, $text='Recent News',$icon="http://webdesign.anmari.com/images/amrusers-rss.png") {
	
	$feedlink = '<h3><a href="'.$uri.'">'.$text.'</a><img src="'.$icon.'" alt="Rss icon" style="vertical-align:middle;" /></h3>';	

	if (!function_exists (fetch_feed)) { 
		echo $feedlink;
		return (false);
		}
	if (!empty($text)) {?>
	<div>
	<h3><?php _e($text);?><a href="<?php echo $uri; ?>" title="<?php echo $text; ?>" >
	</a><img src="<?php echo $icon;?>"  alt="Rss icon" style="vertical-align:middle;"/></h3><?php
	}
	// Get RSS Feed(s)
	include_once(ABSPATH . WPINC . '/feed.php');
	include_once(ABSPATH . WPINC . '/formatting.php');
	// Get a SimplePie feed object from the specified feed source.
	$rss = fetch_feed($uri);
	if ( is_wp_error($rss) )   {
		echo $rss->get_error_message();
		echo $feedlink;
		return (false);
	}


	// Figure out how many total items there are, but limit it to 5. 
	$maxitems = $rss->get_item_quantity($num); 

	// Build an array of all the items, starting with element 0 (first element).
	$rss_items = $rss->get_items(0, $maxitems); 
	?>

	<ul class="rss_widget">
	    <?php if ($maxitems == 0) echo '<li>'.__('No items').'</li>';
	    else
	    // Loop through each feed item and display each item as a hyperlink.
	    foreach ( $rss_items as $item ) :  ?>
	    <li> 
	        <a href='<?php echo $item->get_permalink(); ?>'
	        title='	<?php echo $item->get_date('j F 2009'); ?>'>
	        <?php echo $item->get_title(); ?></a> 
			<?php echo balanceTags(substr($item->get_description(),0, 80)).'...'; ?>
	    </li>
	    <?php endforeach; ?>
		<li>...</li>
	</ul>
	</div>
	<?php }

	}

?>